=== modified file 'CMakeLists.txt'
--- CMakeLists.txt	2013-03-09 09:51:06 +0000
+++ CMakeLists.txt	2013-03-09 11:05:27 +0000
@@ -33,6 +33,12 @@
 SET(CONNECTOR_MAJOR "5")
 SET(CONNECTOR_MINOR "2")
 
+IF(WITH_DOCUMENTATION_INSTALL_PATH)
+	set(DOCUMENTATION_INSTALL_PATH ${WITH_DOCUMENTATION_INSTALL_PATH})
+ELSE(WITH_DOCUMENTATION_INSTALL_PATH)
+	set(DOCUMENTATION_INSTALL_PATH ${CMAKE_INSTALL_PREFIX}/share/doc/myodbc-${CONNECTOR_MAJOR}.${CONNECTOR_MINOR})
+ENDIF(WITH_DOCUMENTATION_INSTALL_PATH)
+
 IF(CONNECTOR_MINOR LESS 10)
 	SET(CONNECTOR_MINOR_PADDED "0${CONNECTOR_MINOR}")
 ELSE(CONNECTOR_MINOR LESS 10)
@@ -329,19 +335,17 @@
 
 ELSE(WIN32)
 
-  INSTALL(FILES ChangeLog    DESTINATION .)
-  INSTALL(FILES README       DESTINATION .)
-  INSTALL(FILES README.debug DESTINATION .)
-  INSTALL(FILES INSTALL      DESTINATION .)
+    INSTALL(FILES ChangeLog    DESTINATION ${DOCUMENTATION_INSTALL_PATH})
+    INSTALL(FILES README       DESTINATION ${DOCUMENTATION_INSTALL_PATH})
+    INSTALL(FILES README.debug DESTINATION ${DOCUMENTATION_INSTALL_PATH})
+    INSTALL(FILES INSTALL      DESTINATION ${DOCUMENTATION_INSTALL_PATH})
   IF(EXISTS "${CMAKE_SOURCE_DIR}/COPYING")
-    INSTALL(FILES COPYING       DESTINATION .)
   ELSE()
-    INSTALL(FILES LICENSE.mysql DESTINATION .)
   ENDIF()
 
 ENDIF(WIN32)
 
-INSTALL(FILES Licenses_for_Third-Party_Components.txt DESTINATION .)
+INSTALL(FILES Licenses_for_Third-Party_Components.txt DESTINATION ${DOCUMENTATION_INSTALL_PATH})
 
 INCLUDE(CPack)
 


